Package org.apache.lucene.util.automaton

# Class ByteRunAutomaton

java.lang.Object
org.apache.lucene.util.automaton.RunAutomaton
org.apache.lucene.util.automaton.ByteRunAutomaton

All Implemented Interfaces:
  `Accountable`, `ByteRunnable`

public class ByteRunAutomaton extends RunAutomaton implements ByteRunnable
Automaton representation for matching UTF-8 byte[].

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteRunAutomaton(Automaton a)`
  Converts incoming automaton to byte-based (UTF32ToUTF8) first
  `ByteRunAutomaton(Automaton a, boolean isBinary)`
  expert: if isBinary is true, the input is already byte-based

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.util.automaton.RunAutomaton

  `equals, getCharIntervals, getSize, hashCode, isAccept, ramBytesUsed, step, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

  ### Methods inherited from interface org.apache.lucene.util.automaton.ByteRunnable

  `getSize, isAccept, run, step`

- ## Constructor Details

  - ### ByteRunAutomaton

    public ByteRunAutomaton(Automaton a)
    Converts incoming automaton to byte-based (UTF32ToUTF8) first
    Throws:
      `IllegalArgumentException` - if the automaton is not deterministic

  - ### ByteRunAutomaton

    public ByteRunAutomaton(Automaton a, boolean isBinary)
    expert: if isBinary is true, the input is already byte-based
    Throws:
      `IllegalArgumentException` - if the automaton is not deterministic